/*
 * DeployAutoLockRequ.cpp
 *
 *  Created on: 2008-9-16
 *      Author: stanley
 */

#include "SESOperator.h"
#include "StudentMgr.h"

using namespace std;
using namespace IPCAPI;

CDeployAutoLockRequ::CDeployAutoLockRequ()
{
	pStudentMgr = CStudentMgr::instance();
}
CDeployAutoLockRequ::~CDeployAutoLockRequ()
{
	pStudentMgr = NULL;
}

bool CDeployAutoLockRequ::RecvResp(CIntfData& myData)
{
	return true;
}
bool CDeployAutoLockRequ::SendRequ(CIntfData& myData)
{
	pStudentMgr->Send(myData);

	myData.GetOperationID(OperationID);
	std::string str;
	myData.GetStudentID(str);
	m_StudentIDList.push_back(str);

	UpdateTeacherPolicyData(str);

	return true;
}
int CDeployAutoLockRequ::GetOperationID()
{
	return OperationID;
}
